# epochcli

CLI tool for updating and launching [Project Epoch](https://www.project-epoch.net/) on Linux & macOS.

## Setup Instructions
For Linux, a `wine` prefix with `dxvk` installed is sufficient, or you can use something like Lutris or faugus-launcher without the launcher functionality in `epochcli`

For macOS, the [Kegworks Wineskin port](https://github.com/Kegworks-App/Kegworks) works great (tutorial coming in the future...)

1. Install `epochcli` by either
   1. Downloading the latest binary from the [releases](https://git.burkey.co/eburk/epochcli/releases) page. Due to using OS UI code, `epochcli` cannot be cross-compiled. I only provide release builds for the hardware I own (Linux amd64, macOS arm64). If you need a different platform, choose a different option.
   2. If you have the `go` toolchain installed, you can run `go install git.burkey.co/eburk/epochcli` to install to your `$GOROOT`
   3. Compile the source yourself
2. Run `epochcli`. You will be taken through a setup process that configures the program and creates a config file at `$HOME/.config/epochcli/config.toml`
3. You can now use `epochcli` as just a standalone updater or also a launcher based on your configuration. You can always run `epochcli -c` to redo the configuration or edit the config file manually

## Usage
```
> ./epochcli -h
  -c    Runs config configuration step. Overrides the config file
  -h    Print help
  -u    Ignore EnableLauncher setting in config and only runs an update. Does nothing if EnableLauncher is false
```

## Issues

If you have any issues, [email me](mailto:evan@burkey.co) or ping `Battlehammer` on the Epoch discord